diff mbox

[3/3] tests/ZZ_hangman: Test both error_state interfaces

Message ID 1372341284-14132-3-git-send-email-mika.kuoppala@intel.com (mailing list archive)
State New, archived
Headers show

Commit Message

Mika Kuoppala June 27, 2013, 1:54 p.m. UTC
Test both debugfs and sysfs error_state interfaces.

Signed-off-by: Mika Kuoppala <mika.kuoppala@intel.com>
---
 tests/ZZ_hangman |   34 +++++++++++++++++++++-------------
 1 file changed, 21 insertions(+), 13 deletions(-)

Comments

Daniel Vetter June 27, 2013, 5:23 p.m. UTC | #1
On Thu, Jun 27, 2013 at 04:54:44PM +0300, Mika Kuoppala wrote:
> Test both debugfs and sysfs error_state interfaces.
> 
> Signed-off-by: Mika Kuoppala <mika.kuoppala@intel.com>
> ---
>  tests/ZZ_hangman |   34 +++++++++++++++++++++-------------
>  1 file changed, 21 insertions(+), 13 deletions(-)
> 
> diff --git a/tests/ZZ_hangman b/tests/ZZ_hangman
> index 08c5514..303dbc7 100755
> --- a/tests/ZZ_hangman
> +++ b/tests/ZZ_hangman
> @@ -18,25 +18,33 @@ if [ ! -f i915_ring_stop ] ; then
>  	exit 77
>  fi
>  
> -if cat i915_error_state | grep -v "no error state collected" > /dev/null ; then
> -	echo "gpu hang dectected"
> +for estate_fname in $i915_dfs_path/i915_error_state $i915_sfs_path/error_state ; do
> +    echo checking ${estate_fname}

On second thought I think we need to auto-skip the sysfs error_state here
if it's not there. Can you please patch this up?

Thanks, Daniel

> +
> +    if cat $estate_fname | grep -v "no error state collected" > /dev/null ; then
> +	echo "gpu hang detected"
>  	exit 1
> -fi
> +    fi
>  
> -# stop rings
> -echo 0xf > i915_ring_stop
> -echo "rings stopped"
> +    echo 0xf > i915_ring_stop
> +    echo "rings stopped"
>  
> -(cd $oldpath; $SOURCE_DIR/gem_exec_big) > /dev/null
> +    (cd $oldpath; $SOURCE_DIR/gem_exec_big) > /dev/null
>  
> -if cat i915_error_state | grep -v "no error state collected" > /dev/null ; then
> -	echo "gpu hang correctly dectected"
> -else
> -	echo "gpu hang not dectected"
> +    if cat $estate_fname | grep -v "no error state collected" > /dev/null ; then
> +	echo "gpu hang correctly detected"
> +    else
> +	echo "gpu hang not detected"
>  	exit 2
> -fi
> +    fi
>  
>  # clear error state
> -echo > i915_error_state
> +    echo > $estate_fname
> +
> +    if cat $estate_fname | grep -v "no error state collected" > /dev/null ; then
> +	echo "gpu hang still present"
> +	exit 3
> +    fi
> +done
>  
>  exit 0
> -- 
> 1.7.9.5
> 
> _______________________________________________
> Intel-gfx mailing list
> Intel-gfx@lists.freedesktop.org
> http://lists.freedesktop.org/mailman/listinfo/intel-gfx
diff mbox

Patch

diff --git a/tests/ZZ_hangman b/tests/ZZ_hangman
index 08c5514..303dbc7 100755
--- a/tests/ZZ_hangman
+++ b/tests/ZZ_hangman
@@ -18,25 +18,33 @@  if [ ! -f i915_ring_stop ] ; then
 	exit 77
 fi
 
-if cat i915_error_state | grep -v "no error state collected" > /dev/null ; then
-	echo "gpu hang dectected"
+for estate_fname in $i915_dfs_path/i915_error_state $i915_sfs_path/error_state ; do
+    echo checking ${estate_fname}
+
+    if cat $estate_fname | grep -v "no error state collected" > /dev/null ; then
+	echo "gpu hang detected"
 	exit 1
-fi
+    fi
 
-# stop rings
-echo 0xf > i915_ring_stop
-echo "rings stopped"
+    echo 0xf > i915_ring_stop
+    echo "rings stopped"
 
-(cd $oldpath; $SOURCE_DIR/gem_exec_big) > /dev/null
+    (cd $oldpath; $SOURCE_DIR/gem_exec_big) > /dev/null
 
-if cat i915_error_state | grep -v "no error state collected" > /dev/null ; then
-	echo "gpu hang correctly dectected"
-else
-	echo "gpu hang not dectected"
+    if cat $estate_fname | grep -v "no error state collected" > /dev/null ; then
+	echo "gpu hang correctly detected"
+    else
+	echo "gpu hang not detected"
 	exit 2
-fi
+    fi
 
 # clear error state
-echo > i915_error_state
+    echo > $estate_fname
+
+    if cat $estate_fname | grep -v "no error state collected" > /dev/null ; then
+	echo "gpu hang still present"
+	exit 3
+    fi
+done
 
 exit 0